Summary: Digital-Data-Storage Extract Tool
Name: dds2tar
Version: 2.5.2
Release: 4tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.uni-duesseldorf.de/pub/unix/apollo/%{name}-%{version}.tar.gz
Patch0: dds2tar-makefile.patch
BuildRequires: autoconf >= 2.52 
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
This tool makes use of the fast seek command of DAT devices.
Files from a selected file archive can be extracted within
one minute.

dds2tar adds the ability to extract single files inside a tar archive
on a scsi-tape very fast.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1


%build
%define optflags \$RPM_OPT_FLAGS -DHAVE_STRERROR -D_GNU_SOURCE
make BUFFER=-DST_BUFFER_BLOCKS=32 


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

cd $RPM_BUILD_DIR/%{name}-%{version}
install -s dds2tar $RPM_BUILD_ROOT%{_bindir}/dds2tar
install scsi_vendor $RPM_BUILD_ROOT%{_bindir}/scsi_vendor
install ddstool $RPM_BUILD_ROOT%{_bindir}/ddstool

install -c -m644 dds2tar.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -c -m644 dds2index.1 $RPM_BUILD_ROOT%{_mandir}/man1 
install -c -m644 mt-dds.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -c -m644 dds-dd.1 $RPM_BUILD_ROOT%{_mandir}/man1
cd ..

ln -f $RPM_BUILD_ROOT%{_bindir}/dds2tar $RPM_BUILD_ROOT%{_bindir}/dds2index
ln -f $RPM_BUILD_ROOT%{_bindir}/dds2tar $RPM_BUILD_ROOT%{_bindir}/mt-dds
ln -f $RPM_BUILD_ROOT%{_bindir}/dds2tar $RPM_BUILD_ROOT%{_bindir}/dds-dd


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
/usr/bin/dds2tar
/usr/bin/dds2index
/usr/bin/mt-dds
/usr/bin/dds-dd
/usr/bin/scsi_vendor
/usr/bin/ddstool
%doc %{_mandir}/man1/dds2index.1*
%doc %{_mandir}/man1/dds2tar.1*
%doc %{_mandir}/man1/dds-dd.1*
%doc %{_mandir}/man1/mt-dds.1*

%changelog
* Wed Mar 23 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> dds2tar-2.5.2-3tr
- Splitted it from tar. Now has its own src.rpm
